Loading...
Searching...
No Matches
MatteShader< Film::RGBA, SamplerType > Class Template Reference

`#include <openvdb/tools/RayTracer.h>`

Inheritance diagram for MatteShader< Film::RGBA, SamplerType >:

## Public Types

using | RayT = math::Ray< Real >

## Public Member Functions

| MatteShader (const Film::RGBA &c=Film::RGBA(1.0f))
| MatteShader (const MatteShader &)=default
| ~MatteShader () override=default
Film::RGBA | operator() (const Vec3R &, const Vec3R &, const Vec3R &) const override
| Defines the interface of the virtual function that returns a RGB color.
BaseShader * | copy () const override

## Member Typedef Documentation

## RayT

using RayT = math::Ray<Real>

inherited

## Constructor & Destructor Documentation

## MatteShader() [1/2]

template<typename SamplerType >

MatteShader | ( | const Film::RGBA & | c = `Film::RGBA(1.0f)` | ) |

inline

## MatteShader() [2/2]

template<typename SamplerType >

MatteShader | ( | const MatteShader< Film::RGBA, SamplerType > & |  | ) |

default

## ~MatteShader()

template<typename SamplerType >

~MatteShader | ( |  | ) |

overridedefault

## Member Function Documentation

## copy()

template<typename SamplerType >

BaseShader * copy | ( |  | ) | const

inlineoverridevirtual

Implements BaseShader.

## operator()()

template<typename SamplerType >

Film::RGBA operator() | ( | const Vec3R & | xyz,
|  | const Vec3R & | nml,
|  | const Vec3R & | dir
| ) |  | const

inlineoverridevirtual

Defines the interface of the virtual function that returns a RGB color.

Parameters

  xyz | World position of the intersection point.
  nml | Normal in world space at the intersection point.
  dir | Direction of the ray in world space.

Implements BaseShader.